Bug 240700 - [META] FreeBSD 12.1-RELEASE blockers
Summary: [META] FreeBSD 12.1-RELEASE blockers
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 12.1-RELEASE
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Release Engineering
URL: https://www.freebsd.org/releases/12.1...
Keywords:
Depends on: 236724 240608 240609 240729 241047 241048 241101 241106 241118 241191 241258 241340 233952 239118 239704 240320 240610 240640 240837 240928
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-20 04:54 UTC by Kubilay Kocak
Modified: 2019-10-19 12:56 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2019-09-20 04:54:09 UTC
The 12.1-RELEASE process has begun [1]. This is a tracking bug for coodinating resolution of 12.1-RELEASE blockers.

Bugzilla issues that are (or should be) potential release blockers, should:

- Add their issue ID's to their "Blocks:" field 
- Set patches (attachments) maintainer-approval flags to request (?) approval from re@f.o

re@ can then accept (+), or not-accept (-) approval according to their policies/guidelines, and leave/remove the issue from this bugs "Depends on" field, respectively.

[1] https://www.freebsd.org/releases/12.1R/schedule.html
Comment 1 vermaden 2019-09-22 10:11:14 UTC
Hi,

this is one of the bugs I encountered on FreeBSD 12.1-BETA1:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240729

Regards,
vermaden
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-22 12:40:45 UTC
(In reply to vermaden from comment #1)

This is a meta bug for listing issues that block the 12.1-RELEASE pending approval (or not) of patches that resolve the issues. A requirement for listing here is that the issue has been been isolated, and with at least a patch proposed, if not committed to head already

Add bug 240729 to this bugs "Depends On" field if and when it has occured
Comment 3 vermaden 2019-09-28 02:00:28 UTC
Another 'blocker' for 12.1-RELEASE:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240889
Comment 4 vermaden 2019-10-02 08:38:26 UTC
Another one to the list:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240998
Comment 5 Ed Maste freebsd_committer 2019-10-02 13:47:48 UTC
I do not believe 240478 should be tagged as a release blocker - the issue is not a regression, and Glen's workaround in base r353004 should mask the issue.
Comment 6 Glen Barber freebsd_committer 2019-10-02 14:14:06 UTC
(In reply to Ed Maste from comment #5)
You're correct, it is not a blocker.  It was intended as an MFC reminder.  (Note, I had no intention of closing 240478 after the MFC.)
Comment 7 vermaden 2019-10-02 21:03:26 UTC
Shouldn't this one be also fixed before RELEASE?
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=231773
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-03 11:46:30 UTC
(In reply to vermaden from comment #7)

To keep this issue clean, discussions as to whether particular issues should or should not be release blockers should take place in those issues, rather than here.

If issues are already committed/merged and closed, they may be re-opened to let the resolver (committer) know they should to add that issue as a blocker, if warranted.